/*
   inner.c

   SCCSid:	@(#)inner.c	1.1	5/15/92
*/

#include <sys/root.h>			/* for PARIX */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>			/* #include <syslib.h> */
#include <cdl/cdl.h>			/* for PARIX */

#include "pipeop.c"

static word     bsize;
static char    *buf;

int 
main (int argc, char *argv[])
{
    word            nit, i;
    char            mcn[80];

    if (argc != 2) {
	fprintf (stderr, "Usage: inner <packet size>\n");
	exit (1);
    }
    MachineName (mcn);

    bsize = atoi (argv[1]);
    buf = Malloc (bsize);
    if (buf == NULL) {
	fprintf (stderr, "Unable to allocate memory for 'inner' on : %s\n",
		 mcn);
	exit (1);
    }
    if (full_read (6, (char *) &nit, 4))
	exit (1);
    if (full_write (7, (char *) &nit, 4))
	exit (1);

    for (i = 0; i < nit; i++) {
	if (full_read (6, buf, bsize)) {
	    fprintf (stderr, "%s: inner failed to read packet\n",
		     mcn);
	    fflush (stderr);
	    exit (1);
	}
	if (full_write (7, buf, bsize)) {
	    fprintf (stderr, "%s: inner failed to write packet\n",
		     mcn);
	    fflush (stderr);
	    exit (1);
	}
    }
}
