/* 92/02/13 Markus Sigg, Parsytec Aachen 
   SCCSid:	@(#)slave.c	1.1	5/15/92
 */

#include <sys/root.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <signal.h>

#define MESSLEN		100
#define MAXBUFLEN      64 * 1024

int
main (int argc, char **argv)
{
    int             n, myx, myy;
    int             i, size;
    static char     buf[MAXBUFLEN];
    char            pbuf[100];

    setvbuf (stderr, pbuf, _IOLBF, sizeof (pbuf));

    myx = GET_ROOT ()->ProcRoot->MyX;
    myy = GET_ROOT ()->ProcRoot->MyY;
    n = atoi (argv[1]);

    read (0, buf, MESSLEN);
    fprintf (stderr, "Slave %d on proc. (%d, %d): %s (got on desc. 0).\n",
	     n, myx, myy, buf);

    for (size = 1; size < MAXBUFLEN + 1; size *= 2) {
	int             count;

	if (size < 256)
	    count = 256;
	else
	    count = 16;
	for (i = 0; i < count; i++)
	    read (0, buf, size);
    }

    sprintf (buf, "Mess. from slave %d (desc. 5).", n);
    write (1, buf, strlen (buf) + 1);

    fprintf (stderr, "Slave %d: DONE !\n", n);

    exit (0);
}
