#ifndef SEARCH_H
#define SEARCH_H

/*
 * SCCS-info: @(#)search.h	92.1 92/12/09
 *
 * (c) 1985 ACE	Associated Computer Experts bv,
 *		Amsterdam,
 *		The Netherlands.
 */

/* HSEARCH(3C) */
typedef struct entry { char *key, *data; } ENTRY;
typedef enum { FIND, ENTER } ACTION;

/* TSEARCH(3C) */
typedef enum { preorder, postorder, endorder, leaf } VISIT;

extern int	hcreate();
extern void	hdestroy();
extern ENTRY	*hsearch();
extern void	*lfind();
extern void	*lsearch();
extern void	*tsearch();
extern void	*tfind();
extern void	*tdelete();
extern void	twalk();

#endif	SEARCH_H
