/**MO**************************   Module   *******************************

Name	: linkroot.h
Purpose	:
Notes	:
SccsId	: @(#)linkroot.h	1.3	2/1/93	
History : 04.09.91	created by Nowak, Parsytec

***/

#ifndef _linkroot_h_
#define _linkroot_h_

/**GD************   Global Defines and Data structures   *****************/

/*
 * data structures for link management
 */

typedef struct {

#ifdef T8

    VLCB_t         *VLCBs;		
				/* only for systems with software VCP	 */
    VLink_t        *VLinks;		/* -"-			 */
    int             NoIntervalls;	/* number of route intervalls	 */
    Intervall_t    *Intervalls;		/* intervall table		 */
    Semaphore_t     LinkSems[NO_OF_LINKS];
					 /* semaphores to sync. the	 */
					 /* access to the phys. out links */

#endif					/* T8 */

    LLink_t        *LLinks;		/* local links			 */
    RLink_t        *RLinks;		/* resource links		 */
    LinkCB_t       *LinkCBs;		/* link control blocks		 */
    ServiceCB_t    *ServiceCBs;		/* service control blocks	 */

    int             CountOfVLinks;
    int             CountOfLLinks;
    int             CountOfRLinks;

    int             CountOfServiceCBs;

    LinkCB_t       *StartVLinks;	/* start of LinkCB`s of ...	 */
    LinkCB_t       *StartLLinks;
    LinkCB_t       *StartRLinks;

    LinkCB_t       *VLinkFreeList;	/* free list root of ...	 */
    LinkCB_t       *LLinkFreeList;
    LinkCB_t       *RLinkFreeList;

}               RootLink_t;

#endif					/* _linkroot_h_ */

/*** end of linkroot.h ***/
