/**MO**************************   Module   *******************************

Name	: sys_rpc.h
Purpose	: Declaration of internal RPC functions
Notes	:
SccsId	: @(#)sys_rpc.h	1.2	2/1/93	

***/

#ifndef _sys_rpc_h_
#define _sys_rpc_h_

/**HE*************************   Headers   *******************************/

#include <sys/root.h>

/**DF********************   Declared Functions   *************************/

#ifdef	__STDC__
extern int      SwappingNeeded (HostLinkCB_t * HostLink);
extern int      GetVersion (HostLinkCB_t * HostLink);
extern int      EchoInt (HostLinkCB_t * HostLink, int value, int *errcode);
extern char    *EchoString (HostLinkCB_t * HostLink, char *Text, int *errcode);
extern          Terminate (int Result);
extern HostLinkCB_t *OpenLink (HostLinkCB_t * HostLink, int *errcode);
extern int      CloseLink (HostLinkCB_t * HostLink);
extern void	AbortServer (int termin_code);

#else

extern int      SwappingNeeded ();
extern int      GetVersion ();
extern int      EchoInt ();
extern char    *EchoString ();
extern          Terminate ();
extern HostLinkCB_t *OpenLink ();
extern int      CloseLink ();
extern void	AbortServer ();

#endif					/* __STDC__ */

#endif					/* _runtime_h_ */

/*** end of sys_rpc.h ***/
