/*
 *	@(#)times.h	92.1	92/12/09	ACE
 */

#ifndef _TIMES_H
#define _TIMES_H

#include <sys/clock_t.h>

/*
 * Structure returned by times()
 */
struct tms {
	clock_t	tms_utime;		/* user time */
	clock_t	tms_stime;		/* system time */
	clock_t	tms_cutime;		/* user time, children */
	clock_t	tms_cstime;		/* system time, children */
};

extern clock_t	times();

#endif /* _TIMES_H */
