/*
   File : pipeop.c

   SCCSid:	@(#)pipeop.c	1.1	5/15/92
*/

#include <unistd.h>

int 
full_read (int stream, byte * buff, int amount)
{
    int             result;

    while (amount > 0) {
	result = read (stream, buff, amount);
	if (result <= 0)
	    return -1;
	amount -= result;
	buff = &(buff[result]);
    }
    return 0;
}

int 
full_write (int stream, byte * buff, int amount)
{
    int             result;

    while (amount > 0) {
	result = write (stream, buff, amount);
	if (result <= 0)
	    return -1;
	amount -= result;
	buff = &(buff[result]);
    }
    return 0;
}
