/* 92/02/13 Markus Sigg, Parsytec Aachen 
   SCCSid:	@(#)master.c	1.1	5/15/92
 */

#include <sys/root.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>
#include <unistd.h>

#define MESSLEN	100

static char     buf[MESSLEN];

int
main (int argc, char **argv)
{
    int             anz, i, myx, myy;
    char            pbuf[100];

    setvbuf (stderr, pbuf, _IOLBF, sizeof (buf));
    anz = atoi (argv[1]);
    myx = GET_ROOT ()->ProcRoot->MyX;
    myy = GET_ROOT ()->ProcRoot->MyY;
    fprintf (stderr, "This is master on processor (%d, %d).\n", myx, myy);
    fflush (stderr);

    for (i = 0; i < anz; i++) {
	sprintf (buf, "Mess. from master (desc. %d).", 5 + i + i);
	write (5 + i + i, buf, strlen (buf) + 1);
    }

    for (i = 0; i < anz; i++) {
	read (4 + i + i, buf, MESSLEN);
	fprintf (stderr, "Master: %s (got on desc. %d).\n",
		 buf, 4 + i + i);
	fflush (stderr);
    }

    fprintf (stderr, "Master: DONE !\n");
    fflush (stderr);

    exit (0);
}
