/*
 * SCCSID("@(#)assert.h	92.1 (92/12/09)");
 *
 * (c) 1985 ACE	Associated Computer Experts bv,
 *		Amsterdam,
 *		The Netherlands.
 */

/*
 * Of all standard headers, assert.h is the only one which may be
 * included more than once with visible effect; it can switch
 * assertion on and off dependent on the current setting of NDEBUG.
 */

#ifdef assert
#undef assert
#endif

#ifdef NDEBUG

#ifdef __STDC__
#define assert(ignore)	((void)0)
#else
#define assert(ignore)	(0)
#endif

#else /* NDEBUG */

extern void _assert();

#ifdef __STDC__

#define assert(EX) if (EX) ; else _assert(#EX, __FILE__, __LINE__)

#else	/* ! __STDC__ */

#define assert(EX) if (EX) ; else _assert("EX", __FILE__, __LINE__)

#endif	/* __STDC__	*/

#endif /* NDEBUG */
