/**	SccsId	: @(#)bitarray.h	1.1	11/27/92							***/
/******* File: bitarray.h  -  Definitionen fuer den Datentyp Bitarray **************/
#ifndef _BITARRAY_H
#define BITARRAY_H

#ifndef Byte_t
#define Byte_t char
#endif

typedef struct  {
	unsigned int size;
	Byte_t *array;
} Bitarray_t;


Bitarray_t	*BitArCreate( unsigned int size,  int def );
void 		BitArSet( unsigned int pos, int value, Bitarray_t *ba);
int  		BitArGet( unsigned int pos, Bitarray_t *ba);
void 		BitArDestroy( Bitarray_t *ba );
Bitarray_t 	*BitArCopy( Bitarray_t *ba );
unsigned int 	BitArByteSize( Bitarray_t *ba );

#endif
