#ifndef SGS_H
#define SGS_H
/*
 *	@(#)sgs.h	92.1	92/12/09	ACE
 *
 * ACE-COFF Utilities.
 *
 * This source file is part of the ACE Compiler Family.
 * Copyright reserved. This source file, or parts of it, may not
 * be reproduced or transmitted in any form, including reprinting,
 * photocopying of microfilming, or by any means, electronic,
 * mechanical or otherwise, or stored in a retrieval system,
 * or used for any purpose, without the prior written permission
 * of ACE Associated Computer Experts bv.
 * This source file is derived from UNIX System 5.0 (Copyright AT&T)
 *
 * (c) 1985 ACE Associated Computer Experts bv, Amsterdam
 *
 */

#define ISACEMAGIC(x)	((unsigned short)(x) == (unsigned short)ACE68KRG || \
			 (unsigned short)(x) == (unsigned short)ACE68KSL || \
			 (unsigned short)(x) == (unsigned short)ACET800RG || \
			 (unsigned short)(x) == (unsigned short)ACET9000RG \
			) 

#define ISMAGIC(x)	\
	(ISACEMAGIC(x) || \
	 ((unsigned short)(x) >= LOMAGIC && (unsigned short)(x) < HIMAGIC) \
	)

#ifdef ARTYPE	
#define ISARCHIVE(x)	((((unsigned short)x)==(unsigned short)ARTYPE))
#define BADMAGIC(x)	((((x)>>8) < 7) && !ISMAGIC(x) && !ISARCHIVE(x))
#else
#define BADMAGIC(x)	((((x)>>8) < 7) && !ISMAGIC(x))
#endif


/*
 *	When a UNIX aout header is to be built in the optional header,
 *	the following magic numbers can appear in that header:
 *
 *		AOUT1MAGIC : default : readonly sharable text segment
 *		AOUT2MAGIC:	     : writable text segment
 *		PAGEMAGIC  :	     : configured for paging
 */

#define AOUT1MAGIC 0410
#define AOUT2MAGIC 0407
#define PAGEMAGIC  0413

#ifdef PDS
#define RELEASE	"System V.3 (COFF) Rel. 3.10"
#endif

#define	SGSNAME	""
#define SGS ""
	/* for COFF systems, the name of the utilities should
	 * NOT be prefixed with "coff"
	 */
#endif
