/*	@(#)osext.h	92.1	92/12/09	(c)	ACE 1992	*/

/*
 *	ACE additions to OS interface
 */

#ifndef _OSEXT_H
#define _OSEXT_H

#include <sys/types.h>

#ifdef __STDC__

int*	_OS_errno_ptr (void);
void	_OS_free (void* _block);
void*	_OS_malloc (size_t _size);
size_t	_OS_malloc_size (void* _block);
int	_OS_message (char* _mess);
int	_OS_raise (int _sig);
void	_OS_sample_pc (unsigned short buff[], int _bufcnt, 
		unsigned _offset, unsigned scale);
int*	_OS_signgam_ptr (void);
int	_OS_stack_class (void* _block);
void*	_OS_stack_class_alloc (size_t _size, int _class);
void	_OS_stack_free (void* _block);
size_t	_OS_stack_size (void* _block);

#else /* ! __STDC__ */

extern int*	_OS_errno_ptr ();
extern void	_OS_free ();
extern void*	_OS_malloc ();
extern size_t	_OS_malloc_size ();
extern int	_OS_message ();
extern int	_OS_raise ();
extern void	_OS_sample_pc ();
extern int*	_OS_signgam_ptr ();
extern int	_OS_stack_class ();
extern void*	_OS_stack_class_alloc ();
extern void	_OS_stack_free ();
extern size_t	_OS_stack_size ();

#endif /* __STDC__ */
#endif	/* _OSEXT_H */
