/**MO**************************   Module   *******************************

Name	: param.h
Purpose	:
Notes	:
SccsId	: @(#)param.h	1.3	2/1/93	
History	: 03.09.91	created by Nowak, Parsytec
          17.12.91	rejoined by Fleischer, Parsytec

***/

#ifndef _param_h_
#define _param_h_

/**GD************   Global Defines and Data structures   *****************/

#define T8

#ifndef NULL
#define NULL		((void *)0)
#endif

#define MININT		0x80000000
#define NOTPROCESS_P	MININT
#define NO_OF_LINKS	4

#ifdef T8
#define MEMSTART	0x80002000
#endif					/* T8 */

#define CONTEXT_P	context_p	/* name of the context's own context
					 * pointer */
#define MyContext	context_p

#define MAX_SYS_TOPS	2
#define MAX_USER_TOPS	64

/*
 * some useful macros
 */


/*
 * the following macros have to be reworked to find appropriate names.
 *                (The PC_ prefix causes bad associations...)
 */

/* boot.h */
#define PC_MyProcID	GET_ROOT()->ProcRoot->MyProcID
#define PC_MyX		GET_ROOT()->ProcRoot->MyX
#define PC_MyY		GET_ROOT()->ProcRoot->MyY
#define PC_MyZ		GET_ROOT()->ProcRoot->MyZ
#define PC_nProcs	GET_ROOT()->ProcRoot->nProcs
#define PC_DimX		GET_ROOT()->ProcRoot->DimX
#define PC_DimY		GET_ROOT()->ProcRoot->DimY
#define PC_DimZ		GET_ROOT()->ProcRoot->DimZ

/* boot.h */
#define PC_HostLink	GET_ROOT()->HostRoot->HostLinks->Link
#define PC_RPC_MaxCSize GET_ROOT()->HostRoot->Hosts->MaxCSize
#define PC_RPC_MaxDSize GET_ROOT()->HostRoot->Hosts->MaxDSize

/* logerror.h */
#define PC_LastErrorMsg GET_ROOT()->LoggerRoot->Text
#endif					/* _param_h_ */

/*** end of param.h ***/
