/**MO************************************************************

Name	: select.h
Purpose	:
Notes	:
SccsId	: @(#)select.h	1.3	2/1/93	
History	: 04.09.91	created by Nowak, Parsytec

***/

#ifndef _select_h_
#define _select_h_

/**GD************   Global Defines and Data structures	 *****************/

typedef struct {
    int             Tag;
    union {
	Channel_t      *Chan;
	RDS_t          *RDS;
	time_t          Time;
    }               Val;
}               Option_t;

/**DF********************   Declared Functions	 *************************/

#ifdef __STDC__
extern int      Select (int, Option_t,...);
extern int      CondSelect (int, Option_t,...);
extern int      SelectList (int, Option_t *);
extern int      CondSelectList (int, Option_t *);

extern Option_t ReceiveOption (LinkCB_t *);
extern Option_t TimeAfterOption (time_t);
extern Option_t GrantOption (ServiceCB_t);

#else

extern int      Select ();
extern int      CondSelect ();
extern int      SelectList ();
extern int      CondSelectList ();

extern Option_t ReceiveOption ();
extern Option_t TimeAfterOption ();
extern Option_t GrantOption ();

#endif					/* __STDC__ */

#endif					/* _select_h_ */

/*** end of select.h ***/
